#include "aidge/backend/opencv/stimuli/StimuliImpl_opencv_imread.hpp"

std::shared_ptr<Aidge::Tensor> Aidge::StimuliImpl_opencv_imread::load() {
    cv::Mat cvImg = cv::imread(mDataPath, mColorFlag);
    if (cvImg.empty()) {
        throw std::runtime_error("Could not open images file: " + mDataPath);
    }

    return tensorOpencv(cvImg);
}
